2007-05-19  Karl Berry  <karl@tug.org>

	* Makefile.in (install-exec): install makempx, as a binary, a la
	mpto and dmp, using INSTALL_LIBTOOL_PROG and $(bindir).  From
	Sanjoy Mahajan, 19 May 2007 13:38:15.

2006-12-15 [r125]  taco <taco@elvenkind.com>

	* makempx.c: file globbing for temporary file deletion
	added, to prevent stray files from LaTeX packages. 
	Version bumped to 0.993

2006-12-09 [r122]  taco <taco@elvenkind.com>

	* dmp_ffile.c: fix a compile problem on AIX reported by
	Vladimir Volowich <vvv@vsu.ru>

2006-11-28 [r118]  taco <taco@elvenkind.com>

	* dmp.c, newer.c, makempx.c, makempx.in, mpto.c: Bump
	the version numbers to 0.992

2006-11-28 [r117]  taco <taco@elvenkind.com>

	* makempx.c: adds a guard against malfunctioning mktemp()

2006-11-27 [r114-115]  taco <taco@elvenkind.com>

	* dmp.c, newer.c, makempx.exe (removed), makempx.c, dmp.h,
	  dmp_ffile.c, mpto.c: indent -kr -psl

	* dmp_ffile.c: fix fsearch_init() in standalone mode

2006-11-27 [r113]  taco <taco@elvenkind.com>

	* makempx.c: GNU troff commandline adjusted again: use 'troff', 
	  not 'groff' as executable name

2006-11-26 [r108]  taco <taco@elvenkind.com>

	* makempx.c: GNU troff commandline adjusted

2006-11-26 [r105]  taco <taco@elvenkind.com>

	* dmp.c, Makefile.in, dmp.h, dmp_ffile.c: dmp with kpathsea
	  searching

2006-11-26 [r103-104]  taco <taco@elvenkind.com>

	* makempx.c: small fixes from Akira Kakuto

2006-11-26 [r102]  taco <taco@elvenkind.com>

	* makempx.c: Akira Kakuto says we can have stat() on windows as well

2006-11-26 [r101]  taco <taco@elvenkind.com>

	* makempx.c: mpx%6d changed to mp%06d

2006-11-26 [r100]  taco <taco@elvenkind.com>

	* Makefile.in: new compiled makempx build commands

2006-11-24 [r99]  taco <taco@elvenkind.com>

	* makempx.c: much improved version, but not finished yet

2006-11-23 [r94]  taco <taco@elvenkind.com>

	* makempx.c (added): test version of C makempx. Based on a
	source file sent by Akira Kakuto <kakuto@fsci.fuk.kindai.ac.jp>

2006-11-22 [r92]  taco <taco@elvenkind.com>

	* dmp.c, newer.c, makempx.exe (added), makempx.in, mpto.c: insert
	maintainer info

2006-11-20 [r88]  taco <taco@elvenkind.com>

	* dmp.c, newer.c, Makefile.in: changes from TeXLive backported,
	especially a fix for aliased CHARLIB filenames ().

2006-11-19 [r78]  taco <taco@elvenkind.com>

	* makempx.in, mpto.c: Version numbers changed for commit of 
	0.99 to TeXLive

2006-11-02 [r64]  taco <taco@elvenkind.com>

	* dmp.c: Ignore large groff character indices because these can
	not be used within MetaPost

2006-11-02 [r59]  taco <taco@elvenkind.com>

	* Makefile.in: Cross-compilation support added

2006-11-01 [r55]  taco <taco@elvenkind.com>

	* dmp.c, dmp.h, dmp_ffile.c: restore CHARLIB type

2006-11-01 [r54]  taco <taco@elvenkind.com>

	* dmp.c: allow characters with index 0

2006-11-01 [r53]  taco <taco@elvenkind.com>

	* dmp.c: dont call read_char_adj() if gflag is on, this removes
	the need to have a dummy trchars.adj for troff

2006-10-31 [r51]  taco <taco@elvenkind.com>

	* dmp.c: new patch from fixes use of 'sizescale'. From Gunnar 
	Ritter <gunnarr@acm.org>

2006-09-23 [r31]  taco <taco@elvenkind.com>

	* dmp.c, dmp.h, dmp_ffile.c: groff patches from Michail Vidiassov 
	<master@iaas.msu.ru> and Werner Lemberg <wl@gnu.org>

2005-08-24 Taco Hoekwater <taco@elvenkind.com>

	* mpto.c: Fix a bug in mpto resulting in correctly placed labels,
	with thanks to Dan Luecking
	
	* dmp.c: Fix a bug blocking compilation of dmp on MacOSX
	
	* mpost.c,dmp.c,mpto.c: The executables are now version 0.902

2005-08-24 Taco Hoekwater <taco@elvenkind.com>

	* newer.c: The 'newer' command now accepts more than 2 arguments, 
	testing each of the files in turn.

	* mpto.c: mpto uses a new TeX macro for the generation of labels,
	making it more robust wrt. strange user code within the actual
	label text.

	* Check-in of version 0.900. 

2004-12-19  Olaf Weber  <olaf@infovore.xs4all.nl>

	* dmp.c [Hprime,MAXCHARS]: Larger values as there can be many more
	than 256 chars in a font.  Suggested by Michail Vidiassov
	<master@iaas.msu.ru>.

2004-07-23  Olaf Weber  <olaf@infovore.xs4all.nl>

	* makempx.in: Have TROFF use -Tps instead of -Tpost, as the former
	is what GROFF uses.

	* dmp.c: Changes to support groff (which is the most likely
	candidate for being actually used these days).
	(hash): Use unsigned char to calculate hash value.
	(get_int_map): Variant of get_int() that will accept octal and hex
	values.
	(get_float_map): Variant of get_float() that actually just skips over
	the (comma-separated) list.
	(scan_desc_line): Use get_int_map() and get_float_map() where
	relevant.
	(set_string): Set a word, to implement groff's 't' directive.
	(do_graphic): Ignore 'Fd'.
	(do_x_cmd): Account for groff's scaling.
	(do_page): Account for groff's scaling.  Implement (or ignore)
	additional groff commands 'F', 'm', 'u' (aborts), 't'.
	(dmp_usage): Modify help text.
	These changes were suggested by Michail Vidiassov
	<master@iaas.msu.ru>.

2004-07-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mpto.c (main): Second argument to usagehelp.

2004-06-19  Olaf Weber  <olaf@infovore.xs4all.nl>

	* makempx.in: Since the trap statement is already quoted, the
	quotes around $ERRLOG must be escaped.  Found by Werner Lemberg
	<wl@gnu.org>.

2004-06-15  Olaf Weber  <olaf@infovore.xs4all.nl>

	* makempx.in: Add quotes in various places to support filenames
	with spaces in them.

2004-05-29  Olaf Weber  <olaf@infovore.xs4all.nl>

	* makempx.in: Forgot the filename in the sed command.

	* makempx.in: If the mpxerr.tex begins with a %&-line, get the
	name of the program to use from it.  The default 'tex' has become
	a problem now that 'latex' requires the 'etex' engine.  Reported
	by Lars Madsen <daleif@imf.au.dk>.

2004-04-16  Olaf Weber  <olaf@infovore.xs4all.nl>

	* makempx.in: Tell eqn to format for 'post' terminal, just like
	troff is told to do.  The asusmption here is that when troff
	supports -Tpost, eqn does as well.  From Michail Vidiassov
	<master@iaas.msu.ru>.

	* mpto.c: According to CSTR #54 the ".lf" directive should be ".lf
	%d %s", not ".lf line %d %s" as used in the original code.  Found
	by Michail Vidiassov <master@iaas.msu.ru>.

2003-02-15  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: From klibtool to libtool.  Based on patches from
	Albert Chin-A-Young <china@thewrittenword.com>.

	* makempx.in: We might as well be consistent in the use of '
	versus ".

2003-02-07  Olaf Weber  <olaf@infovore.xs4all.nl>

	* makempx.in: Add --parse-first-line to arguments of "default"
	TeX.

2002-11-30  Olaf Weber  <olaf@infovore.xs4all.nl>

	* newer.c [WIN32]: Don't include sys/types.h and sys/stat.h.

2002-10-06  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (install-exec): Simplify.  TeXlive merge.

2001-12-11  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (install-exec): Now that we link mpto with kpathsea,
	use klibtool to install it.  From by Adrian Bunk <bunk@fs.tum.de>.

2001-11-19  Olaf Weber  <olaf@infovore.xs4all.nl>

	* dmp.c: Changes to keep C++ compilers from choking.

2001-11-18  Olaf Weber  <olaf@infovore.xs4all.nl>

	* newer.c: Changes to keep C++ compilers from choking.

	* mpto.c: Changes to keep C++ compilers from choking.  Make calls
	to usage() conform to the new interface.

	* dmp.c: Changes to keep C++ compilers from choking.

2001-10-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (mpto): Now links with libkpathsea.

	* mpto.c: Make buffer size obey buf_size texmf.cnf specification.
	Add -tex=program option.  Add protoypes.

	* makempx.in: Add -tex=<program> option.

2001-09-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* newer.c: Correct help text.  From Oliver Moeller
	<omoeller@csd.uu.se>.

1999-03-15  Olaf Weber  <olaf@infovore.xs4all.nl>

	* newer.c [WIN32]: Patchlet from Fabrice.

1999-02-04  Olaf Weber  <olaf@infovore.xs4all.nl>

	* newer.c (main): Remove __cdecl, from Fabrice.
	[!WIN32]: Remove define of __cdecl, from Fabrice.

	* mpto.c (main): Remove __cdecl, from Fabrice.
	[!WIN32]: Remove define of __cdecl, from Fabrice.

	* dmp.c (main): Remove __cdecl.  From Fabrice.

1999-01-27  Olaf Weber  <olaf@infovore.xs4all.nl>

	* newer.c (main): Add __cdecl, from Fabrice.

	* mpto.c (main): Add __cdecl, by Fabrice.

	* dmp.c (main): Add __cdecl, by Fabrice.
	(dmp_usage): Import kpse_bug_address using KPSEDLL.  From Fabrice.

1999-01-13  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: Rename kpathsea.make to kpathsea.mk.

1999-01-10  Olaf Weber  <olaf@infovore.xs4all.nl>

	* makempx.in: Make makempx independent of compile-time BINDIR.
  	From Thomas.

	* Makefile.in: Change of ../make/*.make to ../make/*.mk.

1998-12-04  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mpto.c (getline): Change to handle all EOL conventions, not just
 	the native one.

Mon Mar 23 19:18:12 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (dmp, makempx): Correct dependencies.  From Eli
 	Zaretskii.

Thu Jan 29 16:11:25 1998  Olaf Weber  <infovore@xs4all.nl>

	* dmp.c: Update for 0.64.

Thu Dec 18 20:36:37 1997  Olaf Weber  <infovore@xs4all.nl>

	* dmp.c (fsearch): Use binmode field.

	* dmp.c (fsearch): Assume kpse_truetype_format and
 	kpse_type42_format are for binary files.

Mon Dec  1 20:21:13 1997  Olaf Weber  <infovore@xs4all.nl>

	* makempx.in: Use --interaction=batchmode instead of '\batchmode'.
  	Now TeX can look at the mpx$$.tex file to see if a %&format line
 	is present.

Wed Nov 19 17:12:32 1997  Olaf Weber  <infovore@xs4all.nl>

	* dmp.c (fsearch): Add kpse_tex-ps_header_format and
 	kpse_pict_format to the binary modes.

Mon Oct 20 08:38:01 1997  Olaf Weber  <infovore@xs4all.nl>

	* mpto.c, newer.c [WIN32]: Include string.h.  From Fabrice Popineau.

Sun Oct 19 11:00:35 1997  Olaf Weber  <infovore@xs4all.nl>

	* makempx.in: Removed web2c maintainer's name.

	* newer.c (main): Removed web2c maintainer's name.  Use int main,
	not void main.

	* mpto.c (main): Removed web2c maintainer's name.  Main returns
 	and int, not void.

Fri Oct 17 14:07:21 1997  Olaf Weber  <infovore@xs4all.nl>

	* dmp.c: Include the GROFF NOTES comments by Ulrik Vieth.

Wed Oct 15 17:47:09 1997  Olaf Weber  <infovore@xs4all.nl>

	* dmp.c (search): Select binary mode to open file for some
 	formats, just like kpse_file_open does.  After Eli Zaretskii
 	<eliz@is.elta.co.il>.

	* makempx.in: Fix message about `cat' failure.  From Eli Zaretskii
 	<eliz@is.elta.co.il>.

Fri Oct  3 11:54:56 1997  Olaf Weber  <infovore@xs4all.nl>

	* mpto.c: Correct TROFF line directives (in the troff_pre*
 	variables).

	* newer.c: Include stdlib.h.  From Fabrice Popineau.
	* mpto.c: Include stdlib.h (for exit).
	* dmp.c: Add prototype for printversionandexit.  After Fabrice
	Popineau.

Tue Sep 30 16:29:17 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Insert version string into makempx.
	* makempx.in (mode): Modified to get version string from Makefile.

	* newer.c, mpto.c: Modified to use version string from c-auto.h.

	* mpto.c: suppress the printing of a comment if the first
	*tex..etex block encountered is a verbatimtex..etex block.

Thu Feb 13 16:18:39 1997  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (install-exec): makempx is in the build directory,
	not srcdir.
	From: Andreas Schott <ays@rzg.mpg.de>.

Mon Jan 20 17:30:44 1997  Karl Berry  <karl@cs.umb.edu>

	* Version 7.0.

Mon Dec  9 01:31:55 1996  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* makempx.in: Use `basename $0` in usage and version messages 
	for consistency with other programs and scripts.

	* makempx.in: Fix a confusion between TROFF_INERR and TROFF_OUTERR.

	* makempx.in: Remove unfinished $MPXFILE if an error occurs rather
	than leaving behind a broken version that might confuse $NEWER.

	* newer.c, mpto.c, dmp.c: Reformat usage message for consistency.
	
	* newer.c (main): Back out unnecessary usage() function again.
	All cases of incorrect input were already caught before.

	* mpto.c (main): Issue "Need exactly one file arg. Try --help" 
	message if called with no arguments.
 	
	* dmp.c (main): Issue "Need one or two file args. Try --help"
 	message if called with no arguments.
	This makes it impossible to use dmp as a filter reading from
 	stdin, but it's more in line with the behavior of dvitomp.

	* dmp.c (main): Exit after perror() if file opening failed.
  	This might have been the reason for some remaining seg faults.
	
Tue Dec  3 18:06:46 1996  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* makempx.in: Must use `eval $TROFF' to get the `eqn | troff' 
	pipeline to work as intended.

Tue Dec  3 00:42:20 1996  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* newer.c (main): Don't seg fault if no args.
	* newer.c (usage): New separate routine.

	* dmp.c (copy_spec_char): Fix call of fsearch().
	Refer to DIR_SEP_STRING instead of hard-wired "/".
	
Mon Nov 18 13:26:52 1996  Karl Berry  <karl@cs.umb.edu>

	* makempx.in: Missing ` in --version.  From Ulrik.

Sun Nov 10 16:00:41 1996  Karl Berry  <karl@cs.umb.edu>

	* newer.c (main): Do not refer to dmp in the --version output.

	* mpto.c (main): Don't seg fault if no args.
	Do not refer to dmp in the --version output.
	From Ulrik.

Tue Oct 15 17:20:18 1996  Karl Berry  <karl@cs.umb.edu>

	* newer.c, mpto.c: Oops, can't use printversionandexit after all
	without linking with kpathsea.  Not worth it.
	Just write out the notice.

Tue Oct  8 16:46:17 1996  Karl Berry  <karl@cs.umb.edu>

	* *.c: Call printversionandexit for --version.
	* makempx.in: Change --version output.

Sat Sep  7 16:20:17 1996  Karl Berry  <karl@cs.umb.edu>

	* makempx.in (PATH): Include MAKEMPX_BINDIR, not compile_bindir.

	* dmp.c (dmp_usage): Include bug reporting address.
	* mpto.c (usage): Likewise.
	* newer.c (main): Likewise.
	* makempx.in (usage): Likewise.

Sat Aug 10 13:27:54 1996  Karl Berry  <karl@cs.umb.edu>

	* dmp.c: Oops, forgot to declare kpathsea_version_string.

Sun Aug  4 15:39:42 1996  Karl Berry  <karl@cs.umb.edu>

	* dmp.c: Also print kpathsea_version_string if --version.
	Give perror if open of argument files for reading/writing fail.

	* Makefile.in (newer, mpto): Include $(proglib) for versionstring.

Fri Jul 26 15:47:57 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in: Remove co.make.

Sat Jun  8 13:15:01 1996  K. Berry  <kb@cs.umb.edu>

	* Makefile.in (newer, mpto): Use $(LIBS) $(XLOADLIBES) for these
        standalone programs instead of $(LOADLIBES), a la squeeze
        (dmp): Use $(kpathsea_link).

Fri Apr 26 17:55:06 1996  Karl Berry  <karl@cs.umb.edu>

        * makempx.in: Add mptexpre feature. From John Hobby.

Sat Apr 20 17:44:39 1996  Karl Berry  <karl@cs.umb.edu>

        * newer.c (main): Recognize --help and --version.

Tue Mar 26 17:37:13 1996  Karl Berry  <karl@cs.umb.edu>

        * dmp.c: Include c-ctype.h.

Fri Dec 29 17:16:09 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in: misc.make is now clean.make.

Tue Dec 12 16:52:00 1995  Karl Berry  <karl@cs.umb.edu>

        * dmp.c: Correct --version output. From Ulrik.

Thu Nov 16 16:23:53 1995  Karl Berry  <karl@cs.umb.edu>

        * dmp.c: Call kpse_set_progname. From Gregor Hoffleit.

        * makempx.in: Use filename.tex if converting to TeX. From Ulrik.

        * mpto.c (main): Check mpfile for the fopen failing, not mpname.
        Implement a -E <errfile> option.
        (usage): Have a -E option on the Amiga.
        From Andreas Scherer.

Sat Sep 30 15:56:47 1995  Karl Berry  <karl@cs.umb.edu>

        * makempx.in: Quote "$1" for unusual filenames.

Tue Aug 22 14:13:52 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in: Include rdepend.make and depend.make.

Mon Jul 31 15:45:12 1995  Karl Berry  <karl@cs.umb.edu>

        * mpto.c (usage): Improve help message.

        * dmp.c: Convert to use kpathsea.

Sun Jul 30 11:10:10 1995  Karl Berry  <karl@cs.umb.edu>

        * makempx.in (mode): Merge troffmpx into this.

Thu Apr 13 16:40:08 1995  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* makempx, troffmpx: replaced by templates makempx.in, troffmpx.in.
	The actual shell scripts are produced by sed, replacing @BINDIR@
	by the actual installation directory $(bindir), which is known to
	the Makefile when invoked as a sub-make from the top-level Makefile.

	* newer.c: include "c-auto.h" as a replacement for "site.h".

	* mptotex.c, mptotr.c: no changes needed. 

	* dvitomp.ch: complete rewrite, incorporating material from
	../dviutil/dviutil.ch and the original dvitomp.ch.

	* dmp.c: include "c-auto.h" as a replacement for "site.h".  
	Also include a special header file "dmp.h" containing MetaPost 
	specific stuff that isn't found in "c-auto.h".  Use MPSUPPORT
	instead of MPPOOL as the directory for troff support files.

	* dmp.h.in: added new template file for "dmp.h". The actual header
	file is produced by sed, repacing @TEXMF@ by the actual library
	directory $(texmf), which is known to the Makefile when invoked
	as a sub-make from the top-level Makefile.

	* pathexp.c: include "c-auto.h" as a replacement for "site.h".
	Use `#ifdef HAVE_DIRENT_H' and `#ifdef HAVE_STRING_H' instead
	of `#ifdef BSD'.  (There still remains one case of `#ifdef SYSV'
	that needs to be checked.)

Wed Apr 12 18:56:19 1995  Ulrik Vieth  <vieth@macbeth>

	* Makefile: discarded, will be regenerated from Makefile.in 
	during configure run.

	* Makefile.in: complete rewrite, based on ../dviutil/Makefile.in.

	* convert: discarded, using ../lib/convert instead.

	* mpware.def: discarded, using ../lib/common.defines instead.

	* mpware.h: discarded, using the web2c header files from ../lib.

	* dvimpext.c: discarded, using routines from ../lib/lib.a instead.
	
